> For the complete documentation index, see [llms.txt](https://docs.relevant-digital.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.relevant-digital.com/technical/integration/javascript-api/relevantdigital.addprebidconfig.md).

# relevantDigital.addPrebidConfig()

Use `relevantDigital.addPrebidConfig()` to add Prebid configuration. The library calls [pbjs.setConfig()](https://docs.prebid.org/dev-docs/publisher-api-reference/setConfig.html) before the first Prebid auction.

Your settings are merged into the configuration passed to `pbjs.setConfig()`.

{% hint style="warning" %}
Do not call `pbjs.setConfig()` directly. Direct configuration can cause unexpected behavior.
{% endhint %}

### When to call it

Call `relevantDigital.addPrebidConfig()` before the first [relevantDigital.loadPrebid()](/technical/integration/javascript-api/relevantdigital.loadprebid.md) call that includes Prebid placements.

Calls made later have no effect. They are safe, but do not update the existing Prebid configuration.

### Example

```
window.relevantDigital = window.relevantDigital || {};
relevantDigital.cmd = relevantDigital.cmd || [];
relevantDigital.cmd.push(function() {
   relevantDigital.addPrebidConfig({ // merge some prebid config
      ortb2: {
          site: {
              keywords: "relevant, yield",
          },
      },    
   });
   relevantDigital.loadPrebid({ ... }); // load some ads
})
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.relevant-digital.com/technical/integration/javascript-api/relevantdigital.addprebidconfig.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
